ParamConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.ParamConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface ParamConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface ParamConstants

Constant values for parameter names and their values passed in through the request

Field Summary
`static java.lang.String` | `ACCORDION_PARAM` The parameter that specifies the accordion tab to open.
`static java.lang.String` | `ADD_PARAM` The request parameter name that declares the "add" form submit button was clicked.
`static java.lang.String` | `ADD_X_PARAM` The request parameter name that declares the "add" form image button was clicked.
`static java.lang.String` | `AI_PLATFORM_PARAM` The request parameter that specifies the id of the ai platform to fetch.
`static java.lang.String` | `AI_RESOURCE_PARAM` The request parameter that specifies the id of the ai resource to fetch.
`static int` | `ALERT_ACTION_ENABLE_UNITS_DAYS` Alert definition enable action units for time period: days.
`static int` | `ALERT_ACTION_ENABLE_UNITS_HOURS` Alert definition enable action units for time period: hours.
`static int` | `ALERT_ACTION_ENABLE_UNITS_MINUTES` Alert definition enable action units for time period: minutes.
`static int` | `ALERT_ACTION_ENABLE_UNITS_SECONDS` Alert definition enable action units for time period: seconds.
`static int` | `ALERT_ACTION_ENABLE_UNITS_WEEKS` Alert definition enable action units for time period: weeks.
`static int` | `ALERT_CONDITION_NONE_DELETED` Constant to indicate that no conditions were deleted.
`static java.lang.String` | `ALERT_DEFINITION_PARAM`
`static java.lang.String` | `ALERT_STATE_PARAM`
`static java.lang.String` | `ALERT_THRESHOLD_COMPARATOR_EQ` Alert threshold comparator for equal-to (=).
`static java.lang.String` | `ALERT_THRESHOLD_COMPARATOR_GT` Alert threshold comparator for greater-than (>).
`static java.lang.String` | `ALERT_THRESHOLD_COMPARATOR_LT` Alert threshold comparator for less-than (<).
`static java.lang.String` | `ALERT_THRESHOLD_COMPARATOR_NE` Alert threshold comparator for not-equal-to (!=).
`static java.lang.String` | `APPDEF_RES_TYPE_ID`
`static java.lang.String` | `AUTOGROUP_TYPE_ID_PARAM` The request parameter that specifies the resource type of the autogroup resources of the currently viewed resource.
`static java.lang.String` | `CANCEL_PARAM` The request parameter name that declares the "cancel" form submit button was clicked.
`static java.lang.String` | `CANCEL_X_PARAM` The request parameter name that declares the "cancel" form image button was clicked.
`static java.lang.String` | `CHILD_RESOURCE_APPDEF_TYPE_ID_PARAM`
`static java.lang.String` | `CHILD_RESOURCE_TYPE_ID_PARAM` The request parameter that specifies the resource type of the child resources of the currently viewed resource.
`static java.lang.String` | `CONTROL_ACTION_NONE` Constant for removing a control action from an alert definition.
`static java.lang.String` | `CONTROL_BATCH_ID_PARAM`
`static java.lang.String` | `CONTROL_STATUS_PARAM` Request param of the current control action.
`static java.lang.String` | `DASHBOARD_ID_PARAM`
`static java.lang.String` | `EDIT_PARAM` The request parameter name that declares the "edit" form submit button was clicked.
`static java.lang.String` | `EDIT_X_PARAM` The request parameter name that declares the "edit" form image button was clicked.
`static java.lang.String` | `EDITABLE_DASHBOARDS_PARAM`
`static java.lang.String` | `ENTITY_ID_PARAM` The request parameter that specifies the ids of the entities to fetch.
`static java.lang.String` | `FILTER_BY_PARAM` The request parameter name that declares the 'filter by' param
`static java.lang.String` | `HAS_MULTIPLE_DASHBOARDS_PARAM`
`static java.lang.String` | `IS_FAVORITE_PARAM` Parameters used for QuickFavorites
`static java.lang.String` | `LOGON_STATUS` a value for a request paramater that holds the message key that is the reason the user is bieng presented with login page.
`static java.lang.String` | `METRIC_NAME_PARAM`
`static java.lang.String` | `METRIC_PARAM`
`static java.lang.String` | `METRIC_RANGE` Parameter for metric range.
`static java.lang.String` | `MODE_ADD` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ADD_GROUPS` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ADD_RESOURCES` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ADD_ROLE`
`static java.lang.String` | `MODE_ADD_ROLES` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ADD_SERVICES` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ADD_USER`
`static java.lang.String` | `MODE_ADD_USERS` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_CHANGE_OWNER` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_CONFIGURE` a constant for a standard request paramater mode.
`static java.lang.String` | `MODE_CRNT_DETAIL` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_DISABLED`
`static java.lang.String` | `MODE_EDIT` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_EDIT_CONFIG` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_EDIT_PASS` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_EDIT_RESOURCE` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_EDIT_TYPE` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_ENABLED` Set mode of something to 'enabled
`static java.lang.String` | `MODE_HST` A value for a standard request paramater mode.
`static java.lang.String` | `MODE_HST_DETAIL` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_LIST` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_MON_CHART_MMSR` Chart multiple metrics for a single resource.
`static java.lang.String` | `MODE_MON_CHART_SMMR` Chart a single metric for multiple resources.
`static java.lang.String` | `MODE_MON_CHART_SMSR` Chart a single metric for a single resource.
`static java.lang.String` | `MODE_MON_COMPARE_METRICS` Compare metrics of the same MeasurementTemplate for multiple resources.
`static java.lang.String` | `MODE_MON_METRIC_METADATA` Display expanded metric view with metadata
`static java.lang.String` | `MODE_NEW` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_PARAM` a standard request paramater.
`static java.lang.String` | `MODE_REGISTER` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_REMOVE` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_RESULTS` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_VIEW` a value for a standard request paramater mode.
`static java.lang.String` | `MODE_VIEW_RESULTS` a value for a standard request paramater mode.
`static java.lang.String` | `NEW_PARAM` The request parameter name that declares the "new" form submit button was clicked.
`static java.lang.String` | `NEW_X_PARAM` The request parameter name that declares the "new" form image button was clicked.
`static java.lang.String` | `OK_ASSIGN_PARAM` The request parameter name that declares the "okAssign" form submit button was clicked.
`static java.lang.String` | `OK_ASSIGN_X_PARAM` The request parameter name that declares the "okassign" form image button was clicked.
`static java.lang.String` | `OK_PARAM` The request parameter name that declares the "ok" form submit button was clicked.
`static java.lang.String` | `OK_X_PARAM` The request parameter name that declares the "ok" form image button was clicked.
`static java.lang.String` | `PAGENUM_PARAM` The request parameter that specifies which page of a list table to display.
`static java.lang.String` | `PAGESIZE_PARAM` The request parameter that specifies the number of elements in a page of a list table.
`static java.lang.String` | `PARAM_VIEW` Constants for indicator views
`static java.lang.String` | `RANGE_END_DATE` Parameter for end of range.
`static java.lang.String` | `RANGE_START_DATE` Parameter for beginning of range.
`static java.lang.String` | `REM_PORTLET_PARAM` The paramater used to remove a portlet from the dashboard.
`static java.lang.String` | `REMOVE_PARAM` The request parameter name that declares the "remove" form submit button was clicked.
`static java.lang.String` | `REMOVE_X_PARAM` The request parameter name that declares the "remove" form image button was clicked.
`static java.lang.String` | `RESET_PARAM` The request parameter name that declares the "reset" form submit button was clicked.
`static java.lang.String` | `RESET_X_PARAM` The request parameter name that declares the "reset" form image button was clicked.
`static java.lang.String` | `RESOURCE_PARAM` The request parameter that specifies the id of the resource to fetch.
`static java.lang.String` | `RESOURCE_TYPE_ID_PARAM` The request parameter that specifies the type of the resource to fetch.
`static java.lang.String` | `RETURN_TO_LINK_PARAM_NAME` Parameter used for breadcrumbs
`static java.lang.String` | `RETURN_TO_LINK_PARAM_VALUE`
`static java.lang.String` | `ROLE_ADMIN_HQ_PARAM` Request paramater for indicating whether or not a user can admin HQ.
`static java.lang.String` | `ROLE_PARAM` The request parameter that specifies the id of the role to fetch.
`static java.lang.String` | `SCHEDULE_PARAM` The request parameter that specifies the id of the resource to fetch.
`static java.lang.String` | `SORTCOL_PARAM` The request parameter name that specifies the column on which to sort a list table.
`static java.lang.String` | `SORTORDER_PARAM` The request parameter name that specifies the order in which to sort a list table.
`static java.lang.String` | `URL_PARAM` The request parameter that specifies the currently viewed url.
`static java.lang.String` | `USER_PARAM` The request parameter that specifies the id of the user to fetch.

Field Detail

### AI_PLATFORM_PARAM

    static final java.lang.String AI_PLATFORM_PARAM

  The request parameter that specifies the id of the ai platform to fetch.

  See Also:
    Constant Field Values

### AI_RESOURCE_PARAM

    static final java.lang.String AI_RESOURCE_PARAM

  The request parameter that specifies the id of the ai resource to fetch.

  See Also:
    Constant Field Values

### ALERT_ACTION_ENABLE_UNITS_DAYS

    static final int ALERT_ACTION_ENABLE_UNITS_DAYS

  Alert definition enable action units for time period: days.

  See Also:
    Constant Field Values

### ALERT_ACTION_ENABLE_UNITS_HOURS

    static final int ALERT_ACTION_ENABLE_UNITS_HOURS

  Alert definition enable action units for time period: hours.

  See Also:
    Constant Field Values

### ALERT_ACTION_ENABLE_UNITS_MINUTES

    static final int ALERT_ACTION_ENABLE_UNITS_MINUTES

  Alert definition enable action units for time period: minutes.

  See Also:
    Constant Field Values

### ALERT_ACTION_ENABLE_UNITS_SECONDS

    static final int ALERT_ACTION_ENABLE_UNITS_SECONDS

  Alert definition enable action units for time period: seconds.

  See Also:
    Constant Field Values

### ALERT_ACTION_ENABLE_UNITS_WEEKS

    static final int ALERT_ACTION_ENABLE_UNITS_WEEKS

  Alert definition enable action units for time period: weeks.

  See Also:
    Constant Field Values

### ALERT_CONDITION_NONE_DELETED

    static final int ALERT_CONDITION_NONE_DELETED

  Constant to indicate that no conditions were deleted.

  See Also:
    Constant Field Values

### ALERT_DEFINITION_PARAM

    static final java.lang.String ALERT_DEFINITION_PARAM

See Also:
  Constant Field Values

### ALERT_STATE_PARAM

    static final java.lang.String ALERT_STATE_PARAM

See Also:
  Constant Field Values

### ALERT_THRESHOLD_COMPARATOR_EQ

    static final java.lang.String ALERT_THRESHOLD_COMPARATOR_EQ

  Alert threshold comparator for equal-to (=).

  See Also:
    Constant Field Values

### ALERT_THRESHOLD_COMPARATOR_GT

    static final java.lang.String ALERT_THRESHOLD_COMPARATOR_GT

  Alert threshold comparator for greater-than (>).

  See Also:
    Constant Field Values

### ALERT_THRESHOLD_COMPARATOR_LT

    static final java.lang.String ALERT_THRESHOLD_COMPARATOR_LT

  Alert threshold comparator for less-than (<).

  See Also:
    Constant Field Values

### ALERT_THRESHOLD_COMPARATOR_NE

    static final java.lang.String ALERT_THRESHOLD_COMPARATOR_NE

  Alert threshold comparator for not-equal-to (!=).

  See Also:
    Constant Field Values

### AUTOGROUP_TYPE_ID_PARAM

    static final java.lang.String AUTOGROUP_TYPE_ID_PARAM

  The request parameter that specifies the resource type of the autogroup resources of the currently viewed resource.

  See Also:
    Constant Field Values

### CANCEL_PARAM

    static final java.lang.String CANCEL_PARAM

  The request parameter name that declares the "cancel" form submit button was clicked.

  See Also:
    Constant Field Values

### CANCEL_X_PARAM

    static final java.lang.String CANCEL_X_PARAM

  The request parameter name that declares the "cancel" form image button was clicked.

  See Also:
    Constant Field Values

### OK_ASSIGN_PARAM

    static final java.lang.String OK_ASSIGN_PARAM

  The request parameter name that declares the "okAssign" form submit button was clicked.

  See Also:
    Constant Field Values

### OK_ASSIGN_X_PARAM

    static final java.lang.String OK_ASSIGN_X_PARAM

  The request parameter name that declares the "okassign" form image button was clicked.

  See Also:
    Constant Field Values

### OK_PARAM

    static final java.lang.String OK_PARAM

  The request parameter name that declares the "ok" form submit button was clicked.

  See Also:
    Constant Field Values

### OK_X_PARAM

    static final java.lang.String OK_X_PARAM

  The request parameter name that declares the "ok" form image button was clicked.

  See Also:
    Constant Field Values

### ADD_PARAM

    static final java.lang.String ADD_PARAM

  The request parameter name that declares the "add" form submit button was clicked.

  See Also:
    Constant Field Values

### ADD_X_PARAM

    static final java.lang.String ADD_X_PARAM

  The request parameter name that declares the "add" form image button was clicked.

  See Also:
    Constant Field Values

### EDIT_PARAM

    static final java.lang.String EDIT_PARAM

  The request parameter name that declares the "edit" form submit button was clicked.

  See Also:
    Constant Field Values

### EDIT_X_PARAM

    static final java.lang.String EDIT_X_PARAM

  The request parameter name that declares the "edit" form image button was clicked.

  See Also:
    Constant Field Values

### NEW_PARAM

    static final java.lang.String NEW_PARAM

  The request parameter name that declares the "new" form submit button was clicked.

  See Also:
    Constant Field Values

### NEW_X_PARAM

    static final java.lang.String NEW_X_PARAM

  The request parameter name that declares the "new" form image button was clicked.

  See Also:
    Constant Field Values

### REMOVE_PARAM

    static final java.lang.String REMOVE_PARAM

  The request parameter name that declares the "remove" form submit button was clicked.

  See Also:
    Constant Field Values

### REMOVE_X_PARAM

    static final java.lang.String REMOVE_X_PARAM

  The request parameter name that declares the "remove" form image button was clicked.

  See Also:
    Constant Field Values

### RESET_PARAM

    static final java.lang.String RESET_PARAM

  The request parameter name that declares the "reset" form submit button was clicked.

  See Also:
    Constant Field Values

### RESET_X_PARAM

    static final java.lang.String RESET_X_PARAM

  The request parameter name that declares the "reset" form image button was clicked.

  See Also:
    Constant Field Values

### CHILD_RESOURCE_APPDEF_TYPE_ID_PARAM

    static final java.lang.String CHILD_RESOURCE_APPDEF_TYPE_ID_PARAM

See Also:
  Constant Field Values

### CHILD_RESOURCE_TYPE_ID_PARAM

    static final java.lang.String CHILD_RESOURCE_TYPE_ID_PARAM

  The request parameter that specifies the resource type of the child resources of the currently viewed resource.

  See Also:
    Constant Field Values

### CONTROL_BATCH_ID_PARAM

    static final java.lang.String CONTROL_BATCH_ID_PARAM

See Also:
  Constant Field Values

### CONTROL_STATUS_PARAM

    static final java.lang.String CONTROL_STATUS_PARAM

  Request param of the current control action.

  See Also:
    Constant Field Values

### ENTITY_ID_PARAM

    static final java.lang.String ENTITY_ID_PARAM

  The request parameter that specifies the ids of the entities to fetch.

  See Also:
    Constant Field Values

### FILTER_BY_PARAM

    static final java.lang.String FILTER_BY_PARAM

  The request parameter name that declares the 'filter by' param

  See Also:
    Constant Field Values

### LOGON_STATUS

    static final java.lang.String LOGON_STATUS

  a value for a request paramater that holds the message key that is the reason the user is bieng presented with login page.

  See Also:
    Constant Field Values

### METRIC_PARAM

    static final java.lang.String METRIC_PARAM

See Also:
  Constant Field Values

### METRIC_NAME_PARAM

    static final java.lang.String METRIC_NAME_PARAM

See Also:
  Constant Field Values

### METRIC_RANGE

    static final java.lang.String METRIC_RANGE

  Parameter for metric range.

  See Also:
    Constant Field Values

### PAGENUM_PARAM

    static final java.lang.String PAGENUM_PARAM

  The request parameter that specifies which page of a list table to display.

  See Also:
    Constant Field Values

### PAGESIZE_PARAM

    static final java.lang.String PAGESIZE_PARAM

  The request parameter that specifies the number of elements in a page of a list table.

  See Also:
    Constant Field Values

### RANGE_END_DATE

    static final java.lang.String RANGE_END_DATE

  Parameter for end of range.

  See Also:
    Constant Field Values

### RANGE_START_DATE

    static final java.lang.String RANGE_START_DATE

  Parameter for beginning of range.

  See Also:
    Constant Field Values

### REM_PORTLET_PARAM

    static final java.lang.String REM_PORTLET_PARAM

  The paramater used to remove a portlet from the dashboard.

  See Also:
    Constant Field Values

### RESOURCE_PARAM

    static final java.lang.String RESOURCE_PARAM

  The request parameter that specifies the id of the resource to fetch.

  See Also:
    Constant Field Values

### RESOURCE_TYPE_ID_PARAM

    static final java.lang.String RESOURCE_TYPE_ID_PARAM

  The request parameter that specifies the type of the resource to fetch.

  See Also:
    Constant Field Values

### ROLE_ADMIN_HQ_PARAM

    static final java.lang.String ROLE_ADMIN_HQ_PARAM

  Request paramater for indicating whether or not a user can admin HQ.

  See Also:
    Constant Field Values

### ROLE_PARAM

    static final java.lang.String ROLE_PARAM

  The request parameter that specifies the id of the role to fetch.

  See Also:
    Constant Field Values

### SCHEDULE_PARAM

    static final java.lang.String SCHEDULE_PARAM

  The request parameter that specifies the id of the resource to fetch.

  See Also:
    Constant Field Values

### SORTCOL_PARAM

    static final java.lang.String SORTCOL_PARAM

  The request parameter name that specifies the column on which to sort a list table.

  See Also:
    Constant Field Values

### SORTORDER_PARAM

    static final java.lang.String SORTORDER_PARAM

  The request parameter name that specifies the order in which to sort a list table.

  See Also:
    Constant Field Values

### URL_PARAM

    static final java.lang.String URL_PARAM

  The request parameter that specifies the currently viewed url.

  See Also:
    Constant Field Values

### USER_PARAM

    static final java.lang.String USER_PARAM

  The request parameter that specifies the id of the user to fetch.

  See Also:
    Constant Field Values

### MODE_PARAM

    static final java.lang.String MODE_PARAM

  a standard request paramater.

  See Also:
    Constant Field Values

### MODE_VIEW_RESULTS

    static final java.lang.String MODE_VIEW_RESULTS

  a value for a standard request paramater mode.
  signifies viewing the result of an action.

  See Also:
    Constant Field Values

### MODE_VIEW

    static final java.lang.String MODE_VIEW

  a value for a standard request paramater mode.
  signifies viewing an item.

  See Also:
    Constant Field Values

### MODE_RESULTS

    static final java.lang.String MODE_RESULTS

  a value for a standard request paramater mode.
  signifies viewing the result of an action.

  See Also:
    Constant Field Values

### MODE_REMOVE

    static final java.lang.String MODE_REMOVE

  a value for a standard request paramater mode.
  signifies deleting an item.

  See Also:
    Constant Field Values

### MODE_REGISTER

    static final java.lang.String MODE_REGISTER

  a value for a standard request paramater mode.
  signify editing a users password

  See Also:
    Constant Field Values

### MODE_NEW

    static final java.lang.String MODE_NEW

  a value for a standard request paramater mode.
  signifies creating a new item

  See Also:
    Constant Field Values

### MODE_LIST

    static final java.lang.String MODE_LIST

  a value for a standard request paramater mode.
  signify displaying a list of items

  See Also:
    Constant Field Values

### MODE_HST_DETAIL

    static final java.lang.String MODE_HST_DETAIL

  a value for a standard request paramater mode.
  signify displaying a list of scheduled control items

  See Also:
    Constant Field Values

### MODE_HST

    static final java.lang.String MODE_HST

  A value for a standard request paramater mode.
  Signifies the mode screen where it is displaying a history of actions

  See Also:
    Constant Field Values

### MODE_EDIT_TYPE

    static final java.lang.String MODE_EDIT_TYPE

  a value for a standard request paramater mode.
  signifies editing the type-specific properties of a resource.

  See Also:
    Constant Field Values

### MODE_EDIT_RESOURCE

    static final java.lang.String MODE_EDIT_RESOURCE

  a value for a standard request paramater mode.
  signifies editing a resource item's resource-specific properties

  See Also:
    Constant Field Values

### MODE_EDIT_PASS

    static final java.lang.String MODE_EDIT_PASS

  a value for a standard request paramater mode.
  signify editing a users password

  See Also:
    Constant Field Values

### MODE_EDIT_CONFIG

    static final java.lang.String MODE_EDIT_CONFIG

  a value for a standard request paramater mode.
  signifies editing the type-specific properties of a resource.

  See Also:
    Constant Field Values

### MODE_EDIT

    static final java.lang.String MODE_EDIT

  a value for a standard request paramater mode.
  signifies editing an item

  See Also:
    Constant Field Values

### MODE_CRNT_DETAIL

    static final java.lang.String MODE_CRNT_DETAIL

  a value for a standard request paramater mode.
  signify displaying a list of control actions that have been perfomed

  See Also:
    Constant Field Values

### MODE_CONFIGURE

    static final java.lang.String MODE_CONFIGURE

  a constant for a standard request paramater mode.
  signifies configuring the resource.

  See Also:
    Constant Field Values

### MODE_CHANGE_OWNER

    static final java.lang.String MODE_CHANGE_OWNER

  a value for a standard request paramater mode.
  signifies changing the owner of a resource.

  See Also:
    Constant Field Values

### MODE_ADD_USERS

    static final java.lang.String MODE_ADD_USERS

  a value for a standard request paramater mode.
  signify adding users for a resource.

  See Also:
    Constant Field Values

### MODE_ADD_USER

    static final java.lang.String MODE_ADD_USER

See Also:
  Constant Field Values

### MODE_ADD_SERVICES

    static final java.lang.String MODE_ADD_SERVICES

  a value for a standard request paramater mode.
  signify adding services to a resource (like, an applicaiton).

  See Also:
    Constant Field Values

### MODE_ADD_ROLES

    static final java.lang.String MODE_ADD_ROLES

  a value for a standard request paramater mode.
  signify displaying a list of items

  See Also:
    Constant Field Values

### MODE_ADD_ROLE

    static final java.lang.String MODE_ADD_ROLE

See Also:
  Constant Field Values

### MODE_ADD_RESOURCES

    static final java.lang.String MODE_ADD_RESOURCES

  a value for a standard request paramater mode.
  signify adding resources to a group.

  See Also:
    Constant Field Values

### MODE_ADD_GROUPS

    static final java.lang.String MODE_ADD_GROUPS

  a value for a standard request paramater mode.
  signify adding groups for a resource.

  See Also:
    Constant Field Values

### MODE_ADD

    static final java.lang.String MODE_ADD

  a value for a standard request paramater mode.
  signify displaying a list of items

  See Also:
    Constant Field Values

### MODE_MON_CHART_SMSR

    static final java.lang.String MODE_MON_CHART_SMSR

  Chart a single metric for a single resource.

  See Also:
    Constant Field Values

### MODE_MON_CHART_SMMR

    static final java.lang.String MODE_MON_CHART_SMMR

  Chart a single metric for multiple resources.

  See Also:
    Constant Field Values

### MODE_MON_CHART_MMSR

    static final java.lang.String MODE_MON_CHART_MMSR

  Chart multiple metrics for a single resource.

  See Also:
    Constant Field Values

### MODE_MON_COMPARE_METRICS

    static final java.lang.String MODE_MON_COMPARE_METRICS

  Compare metrics of the same MeasurementTemplate for multiple resources.

  See Also:
    Constant Field Values

### MODE_MON_METRIC_METADATA

    static final java.lang.String MODE_MON_METRIC_METADATA

  Display expanded metric view with metadata

  See Also:
    Constant Field Values

### MODE_ENABLED

    static final java.lang.String MODE_ENABLED

  Set mode of something to 'enabled

  See Also:
    Constant Field Values

### MODE_DISABLED

    static final java.lang.String MODE_DISABLED

See Also:
  Constant Field Values

### CONTROL_ACTION_NONE

    static final java.lang.String CONTROL_ACTION_NONE

  Constant for removing a control action from an alert definition.

  See Also:
    Constant Field Values

### PARAM_VIEW

    static final java.lang.String PARAM_VIEW

  Constants for indicator views

  See Also:
    Constant Field Values

### APPDEF_RES_TYPE_ID

    static final java.lang.String APPDEF_RES_TYPE_ID

See Also:
  Constant Field Values

### ACCORDION_PARAM

    static final java.lang.String ACCORDION_PARAM

  The parameter that specifies the accordion tab to open.

  See Also:
    Constant Field Values

### IS_FAVORITE_PARAM

    static final java.lang.String IS_FAVORITE_PARAM

  Parameters used for QuickFavorites

  See Also:
    Constant Field Values

### EDITABLE_DASHBOARDS_PARAM

    static final java.lang.String EDITABLE_DASHBOARDS_PARAM

See Also:
  Constant Field Values

### HAS_MULTIPLE_DASHBOARDS_PARAM

    static final java.lang.String HAS_MULTIPLE_DASHBOARDS_PARAM

See Also:
  Constant Field Values

### DASHBOARD_ID_PARAM

    static final java.lang.String DASHBOARD_ID_PARAM

See Also:
  Constant Field Values

### RETURN_TO_LINK_PARAM_NAME

    static final java.lang.String RETURN_TO_LINK_PARAM_NAME

  Parameter used for breadcrumbs

  See Also:
    Constant Field Values

### RETURN_TO_LINK_PARAM_VALUE

    static final java.lang.String RETURN_TO_LINK_PARAM_VALUE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.